# Set a cancel-requested flag on a running attempt

Endpoint: POST /api/attempts/{id}/kill
Version: 1.0
Security: ApiKeyAuth

## Path parameters:

  - `id` (integer, required)
    attempt id

## Response 200 fields (application/json):

  - `cancelRequested` (boolean, required)
    true if kill requested

  - `createdAt` (string, required)
    created time
    Example: "2023-08-18T06:52:33Z"

  - `done` (boolean, required)
    true if the attempt finished

  - `finishedAt` (string)
    finished time
    Example: "2023-08-18T06:52:33Z"

  - `id` (string, required)
    attempt ID
    Example: "123456"

  - `index` (integer, required)
    index for multiple attempts
    Example: 1

  - `params` (object, required)
    passed parameters as JSON

  - `poolId` (string)
    ID of the pool to which this attempt is assigned.
    Example: "42"

  - `project` (object, required)
    Name and ID

  - `project.id` (string, required)
    ID
    Example: "123456"

  - `project.name` (string, required)
    name
    Example: "abcdefg"

  - `retryAttemptName` (string, required)
    attempt name for retry
    Example: "retry-12345"

  - `sessionId` (string, required)
    session ID
    Example: "123456"

  - `sessionTime` (string, required)
    session time
    Example: "2022-12-31T23:59:00+00:00"

  - `sessionUuid` (string, required)
    unique UUID of this session
    Example: "2b91a014-076e-4c6d-8b51-f4f91089cab2"

  - `status` (string, required)
    The current status of the attempt.
    Enum: "blocked", "queued", "running", "canceling", "success", "error", "killed"

  - `success` (boolean, required)
    true if the attempt finished successfully

  - `workflow` (object, required)
    Name and optional ID

  - `workflow.id` (string)
    ID
    Example: "123456"

  - `workflow.name` (string, required)
    name
    Example: "abcdefg"


